## XMLREAD Read an XML Document into FreeMat

Section: Input/Ouput Functions

### Usage

Given a filename, reads an XML document, parses it, and returns the result as a FreeMat data structure. The syntax for its use is:

       p = xmlread(filename)

where `filename` is a `string`. The resulting object `p` is a data structure containing the information in the document. Note that the returned object `p` is not the same object as the one returned by MATLAB's `xmlread`, although the information content is the same. The output is largely compatible with the output of the parseXML example in the `xmlread` documentation of the MATLAB API.